/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function adminLogout(
  params,
  options,
) {
  return request('/admin/admin/logout', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function adminItems(
  params,
  options,
) {
  return request('/admin/admin/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function adminCreate(
  body,
  options,
) {
  return request('/admin/admin/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function adminUpdate(
  body,
  options,
) {
  return request('/admin/admin/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function adminDelete(
  body,
  options,
) {
  return request('/admin/admin/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function adminItem(
  params,
  options,
) {
  return request('/admin/admin/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

export async function demoDelete(
  params,
  options,
) {
  return request('/admin/demo/delete', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}